Package org.pgpainless.decryption_verification.syntax_check

# Enum Class State

java.lang.Object
java.lang.Enum<State>
org.pgpainless.decryption_verification.syntax_check.State

All Implemented Interfaces:
  `Serializable`, `Comparable<State>`, `Constable`

public enum State extends Enum<State>
Set of states of the automaton.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CompressedMessage`
`EncryptedMessage`
`LiteralMessage`
`OpenPgpMessage`
`Valid`

## Method Summary

Modifier and Type
Method
Description
`static State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OpenPgpMessage

public static final State OpenPgpMessage

### LiteralMessage

public static final State LiteralMessage

### CompressedMessage

public static final State CompressedMessage

### EncryptedMessage

public static final State EncryptedMessage

### Valid

public static final State Valid

## Method Details

### values

public static State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null